using Biblioteque_de_Class;

namespace Notus_UnitTest_User
{
    [TestFixture]
    public class SearchNoteByNameTests
    {
        [Test]
        public void SearchNoteByName_WhenMatchingNotesExist_NotesReturned()
        {
            User user = new User("TestUser", "testuser@example.com", "password");
            Note note1 = new Note("Note 1", "image1.png", user);
            Note note2 = new Note("Note 2", "image2.png", user);
            Note note3 = new Note("Another Note", "image3.png", user);
            user.GetNoteList().Add(note1);
            user.GetNoteList().Add(note2);
            user.GetNoteList().Add(note3);
            List<Note> result = user.SearchNoteByName("note");
            Assert.That(result.Count, Is.EqualTo(3));
            CollectionAssert.Contains(result, note1);
            CollectionAssert.Contains(result, note2);
            CollectionAssert.Contains(result, note3);
        }

        [Test]
        public void SearchNoteByName_WhenNoMatchingNotesExist_EmptyListReturned()
        {
            User user = new User("TestUser", "testuser@example.com", "password");
            Note note1 = new Note("Note 1", "image1.png", user);
            Note note2 = new Note("Note 2", "image2.png", user);
            user.GetNoteList().Add(note1);
            user.GetNoteList().Add(note2);
            List<Note> result = user.SearchNoteByName("test");
            Assert.IsEmpty(result);
        }

    }
}